com.hazelcast.util.collection

## Class Object2LongHashMap.EntryIterator

- java.lang.Object
- - com.hazelcast.util.collection.Object2LongHashMap.EntryIterator

- All Implemented Interfaces:
    Iterator<Map.Entry<K,Long>>, Map.Entry<K,Long>
  Enclosing class:
    Object2LongHashMap<K>

      public final class Object2LongHashMap.EntryIterator
      extends Object
      implements Map.Entry<K,Long>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `findNext()`
    `K` | `getKey()`
    `long` | `getLongValue()`
    `Long` | `getValue()`
    `boolean` | `hasNext()`
    `Map.Entry<K,Long>` | `next()`
    `protected int` | `position()`
    `void` | `remove()`
    `long` | `setValue(long value)`
    `Long` | `setValue(Long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue, equals, hashCode`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### EntryIterator

          public EntryIterator()

  - ### Method Detail

    - #### next

          public Map.Entry<K,Long> next()

      Specified by:
        `next` in interface `Iterator<Map.Entry<K,Long>>`

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `Map.Entry<K,Long>`

    - #### getLongValue

          public long getLongValue()

    - #### getValue

          public Long getValue()

      Specified by:
        `getValue` in interface `Map.Entry<K,Long>`

    - #### setValue

          public Long setValue(Long value)

      Specified by:
        `setValue` in interface `Map.Entry<K,Long>`

    - #### setValue

          public long setValue(long value)

    - #### position

          protected final int position()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`

    - #### findNext

          protected final void findNext()

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T>`

Copyright © 2020. All rights reserved.